For the complete documentation index, see llms.txt. This page is also available as Markdown.

Authorize a Basket

Depending on the type of Tebex store you are integrating, authorization may be required at checkout.

For most stores, the user must authorize their account before checkout is completed.

This is done via the /auth endpoint where we will return the authentication options available for your store type.

Provide a returnUrl , and after successful authentication the user will be directed back to your site.

Get auth links for basket

get

Fetches a basket's auth URL. The player should be directed here in order for them to authorize their account. When complete, they will be returned to the provided returnUrl and the basket will be authorized from that moment onwards.

Path parameters
basketIdentstringRequired

The basket identifier.

Example: c00244-d2ac2e77418a55b25292a6bc7a719ad9c529ba2c
returnUrlstringRequired

The URL you would like to redirect the user to after successful basket authentication.

Example: https://example.tebex.io/
Responses
200

Successful response returns the auth provider options and URLs of the sign-in link.

application/json
namestringOptionalExample: FiveM
urlstringOptionalExample: https://ident.tebex.io/
get/baskets/{basketIdent}/auth?returnUrl={returnUrl}
GET /api/accounts/baskets/{basketIdent}/auth?returnUrl={returnUrl} HTTP/1.1
Host: headless.tebex.io/
Accept: */*
[
  {
    "name": "FiveM",
    "url": "https://ident.tebex.io/"
  }
]

#

Last updated